Update Test Plan
Rest path
PATCH /rest/api/1/testPlans/{issueId}
Body parameter
{ "properties": { "testCaseIssues": { "items": { "type": "string" }, "type": "array" }, "issueDetails": { "properties": { "fields": { "allOf": [ { "properties": { "summary": { "type": "string" } }, "type": "object" }, { "additionalProperties": false, "type": "object", "description": "Issue fields Jira API.\nSee: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-post" } ] } }, "type": "object" }, "appendTestCases": { "type": "boolean" } }, "type": "object"}Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| issueId | path | string | true | none |
| body | body | UpdateTestPlanRequest | true | none |
Example responses
200 Response
{ "properties": { "success": { "type": "boolean" } }, "required": [ "success" ], "type": "object"}Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | OK | Inline |
Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » success | boolean | true | none | none |